function [sig_L]=LowPass(sig, Fs, fc)
% low-pass filter at fc cut-off frequency
% Input arguments:
% sig - signal to filter
% Fs - sampling frequency
% fc - low pass cut-off frequency [Hz]
%
% Output arguments:
% sig_L - resulted signal, after LowPass filtering
% Dan Liberzon, 2019, liberzon@technion.ac.il

%% Prepare
sigM=mean(sig); sig=sig-sigM; L=length(sig);
Y=fft(sig,L)./L; ff=(0:Fs/(L-1):Fs);

%% Filter

% find correct places and zeo the elements
ic=find(ff>fc,1); icc=L-ic+2;
Y(ic:icc)=0+0i;

%% reconstruct the signal
sig_L=ifft(Y,L).*L+sigM; % also adding back the mean value


